curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentLineItems/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"assessmentLineItem": {
"status": "active",
"title": "<string>",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"class": {
"sourcedId": "<string>"
},
"parentAssessmentLineItem": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"component": {
"sourcedId": "<string>"
},
"componentResource": {
"sourcedId": "<string>"
},
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
],
"course": {
"sourcedId": "<string>"
}
}
}Get a specific Assessment Line Item on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Assessment line item not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentLineItems/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"assessmentLineItem": {
"status": "active",
"title": "<string>",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"class": {
"sourcedId": "<string>"
},
"parentAssessmentLineItem": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"component": {
"sourcedId": "<string>"
},
"componentResource": {
"sourcedId": "<string>"
},
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
],
"course": {
"sourcedId": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the assessment line item
Comma-separated list of fields to include in the response
"sourcedId,name"
Successful response with the assessment line item
Represents an assessment line item.
Show child attributes